Bug 1301707 - [abrt] gimp: _g_log_abort(): gimp-2.8 killed by SIGTRAP
[abrt] gimp: _g_log_abort(): gimp-2.8 killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:923cf4f62d0367d919150806ccd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 13:16 EST by Daniel
Modified: 2016-12-20 13:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:12:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.58 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: core_backtrace (4.99 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: dso_list (12.08 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: environ (944 bytes, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: maps (63.44 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: mountinfo (3.92 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: open_fds (1.07 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-01-25 13:16 EST, Daniel
no flags Details

  None (edit)
Description Daniel 2016-01-25 13:16:39 EST
Description of problem:
Dragged a layer in the main window right after rearranging another layer in the layer toolbox. The rearrangement had not become visible in the main view before I started rearrainging the other layer by drag and drop.

Version-Release number of selected component:
gimp-2.8.16-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gimp-2.8 '/home/d/Pictures/Screenshot from 2016-01-25 18-40-43.png' '/home/d/Pictures/Screenshot from 2016-01-25 18-41-19.png' '/home/d/Pictures/Screenshot from 2016-01-25 18-50-18.png' '/home/d/Pictures/Screenshot from 2016-01-25 18-50-39.png'
crash_function: _g_log_abort
executable:     /usr/bin/gimp-2.8
global_pid:     793
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _g_log_abort at gmessages.c:324
 #8 _gdk_x11_get_window_child_info at gdkasync.c:731
 #9 gdk_window_cache_new at gdkdnd-x11.c:566
 #10 gdk_window_cache_get at gdkdnd-x11.c:660
 #11 drag_context_find_window_cache at gdkdnd-x11.c:3358
 #12 gdk_drag_find_window_for_screen at gdkdnd-x11.c:3401
 #13 gtk_drag_update_idle at gtkdnd.c:3994
 #19 app_run at app.c:263
Comment 1 Daniel 2016-01-25 13:16:44 EST
Created attachment 1118147 [details]
File: backtrace
Comment 2 Daniel 2016-01-25 13:16:45 EST
Created attachment 1118148 [details]
File: cgroup
Comment 3 Daniel 2016-01-25 13:16:47 EST
Created attachment 1118149 [details]
File: core_backtrace
Comment 4 Daniel 2016-01-25 13:16:48 EST
Created attachment 1118150 [details]
File: dso_list
Comment 5 Daniel 2016-01-25 13:16:49 EST
Created attachment 1118151 [details]
File: environ
Comment 6 Daniel 2016-01-25 13:16:51 EST
Created attachment 1118152 [details]
File: limits
Comment 7 Daniel 2016-01-25 13:16:53 EST
Created attachment 1118153 [details]
File: maps
Comment 8 Daniel 2016-01-25 13:16:54 EST
Created attachment 1118154 [details]
File: mountinfo
Comment 9 Daniel 2016-01-25 13:16:55 EST
Created attachment 1118155 [details]
File: namespaces
Comment 10 Daniel 2016-01-25 13:16:57 EST
Created attachment 1118156 [details]
File: open_fds
Comment 11 Daniel 2016-01-25 13:16:58 EST
Created attachment 1118157 [details]
File: proc_pid_status
Comment 12 Daniel 2016-01-25 13:16:59 EST
Created attachment 1118158 [details]
File: var_log_messages
Comment 13 Nils Philippsen 2016-07-29 13:35:07 EDT
Sorry for the late reply. The program receives an XError, changing component to gtk2 accordingly:

"The program 'gimp-2.8' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadWindow (invalid Window parameter)'..."
Comment 14 Fedora End Of Life 2016-11-24 10:11:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:12:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.